Iphone blocked after jailbreak

Discussion in 'Jailbreaks and iOS Hacks' started by mmellado, Feb 12, 2009.

  1. mmellado macrumors newbie

    Joined:
    Feb 12, 2009
    #1
    Im using an iphone 3G, which i recieved in version 2.2.1. After jailbreaking it.. well... i did it with pwnge tool, and after a hard headache because of tons of failures i was able to jailbreak it. So i finally had cydia and stuff... well.. after it, i got to the surprise that now, i could not make phonecalls... nor reciev them... the iphone became blocked! i reinstalled the original 2.2.1 firmware with which i recieved it, and now i can make phonecalls, but the phone aint jailbraked anymore... what can i do? i really need to jailbreak it cuz i need yellowsn0w (im going to leave the country on a study abroad program and i want ot be able to use my phone wherever i go...)
     
  2. Gix1k macrumors 68030

    Gix1k

    Joined:
    Jun 16, 2008
    #2
    Do yourself a favor...Get a copy of the 2.2 ipsw, jailbreak it with quickpwn...be done in 15 mins...success. 2.2.1 offers nothing. Fine w/out it.
     
  3. mmellado thread starter macrumors newbie

    Joined:
    Feb 12, 2009
    #3
    the thing is i tried 2.2 as well (but with pwnagetool) but cant restore back to it (error 1600 or error 21), this happens even with the original 2.2FW(not jailbreaked).... should quickpwn fix it?
     
  4. CocoaPuffs macrumors 68010

    Joined:
    Aug 23, 2008
    #4
    Stick with QuickPwn, you basically made the wrong selection in choosing Pwnage settings, which didn't activate the phone once it was pwned. Nothing to do with "locking" the phone.
     
  5. mmellado thread starter macrumors newbie

    Joined:
    Feb 12, 2009
    #5
    are u talking about 2.2 or 2.2.1 in here???
     
  6. Gix1k macrumors 68030

    Gix1k

    Joined:
    Jun 16, 2008
    #6
    Follow this link...do just what it says. Has links to the ipsw, too. You'll be fine

    http://www.iphonehacks.com/2009/01/jailbreak3g-win.html#more


    Once you download the ipsw...restore the phone in iTunes using the shift+restore click...select the 2.2 ipsw you pulled down. it will restore back to stock with that 2.2...then open quickpwn and do the steps. I've done this to 10 3G's....it works!
     
  7. lavrishevo macrumors 68000

    lavrishevo

    Joined:
    Jan 9, 2007
    Location:
    NJ
    #7
    If the phone came with 2.2.1 or as you said you restored with iTunes your out of luck my friend. You baseband has been updated so yellowsn0w won't work for you. Your going to have to use a sim unlock. You can downgrade to 2.2 for who knows what reason but Yellowsn0w is no longer a viable option.
     
  8. mmellado thread starter macrumors newbie

    Joined:
    Feb 12, 2009
    #8
    so yeloowsn0w wont work even if i downgrade to 2.2?
     
  9. zander271 macrumors member

    Joined:
    Jan 20, 2009
    #9
    I think you can downgrade the baseband so you can use yellowsnow. But I could be wrong.Yellowsnow is only needed if you wanna unlock your phone to use with another provider other then At&t.

    Backup your phone, do a DFU restore, make sure everything works, IE phone calls, wifi and 3g/edge. Then use quickpwn to jailbreak your phone.

    If your new to jailbreaking, Pdanet(use your phone as a wireless modem), blacklist(
    send callers to a busy signal or voicemail), categories(puts apps in folders to cut down on pages), clippy(copy and paste), five icon dock(what the app says), and winterboard is what i jailbroke for.
     
  10. tylertech macrumors regular

    Joined:
    Oct 24, 2008
    Location:
    NC
    #10
    I am pretty sure you can't downgrade the baseband. Which means YellowSn0w won't work if you upgraded to 2.2.1. You have to wait for a new solution.
     
  11. mmellado thread starter macrumors newbie

    Joined:
    Feb 12, 2009
    #11
    im nto new to jailbreak i just had never done it on a 3G nor with quickpwn, i had always used pwnage tool... anyways, im about to try it, ill post if can fix it.. about the baseband.. crap.. ill just hope some1 finds a solution before i go to the US to study hahaha
     
  12. mmellado thread starter macrumors newbie

    Joined:
    Feb 12, 2009
    #12
    i just tried to downgrade to 2.2 and i couldnt...

    Iphone could not be restored...unknown error ocurred 1013

    is quickpwn possible with 2.2.1?
     
  13. mmellado thread starter macrumors newbie

    Joined:
    Feb 12, 2009
    #13
    ok.. fixed... quickpwned with 2.2.1.... will w8 for a unlock solution

    thanks to everybody
     
  14. megamanbnmaster macrumors 6502

    Joined:
    Jan 26, 2008
    #14
    Quoted directly from dev-team's blog.

    1. GOLDEN RULE: If you have a 3G iPhone running 2.2 firmware and you want to keep your ability to use yellowns0w (or the option to use it in the future) do NOT use QuickPwn, and do not use the official ipsw or the iTunes update process without using PwnageTool.
    2. Yellowsn0w will NOT work with the baseband version (02.30.03) that is present in the recent 2.2.1 update. If you want to use Yellownsn0w you will need to create and restore using a custom .ipsw that will allow you to update safely to 2.2.1 without applying the 02.30.03 baseband update. You’ll then have a 3G iPhone running 2.2.1 with an older baseband version that is still vulnerable to yellowsn0w, following these steps ensures that yellowsn0w will still operate.
    3. Please read all parts of this post before downloading and using these tools.
    4. Read items 1, 2 and 3 again and again.

    The golden rule applies true to EVERY update. quickpwn will NOT stop baseband update. only pwning the ipsw will.
    So its a little bit too late but I'd wait a while before upgrading, even with a new quickpwn method.

    Also once the baseband has been upgraded I don't think it can be downgraded.
     
  15. lavrishevo macrumors 68000

    lavrishevo

    Joined:
    Jan 9, 2007
    Location:
    NJ
    #15
    Yeah man, I'm sorry your stuck as far as a software unlock solution goes. Right now, as mentioned, you cannot downgrade the baseband and as you know YellowSn0w does not work with 2.2.1's baseband. Their are sim unlock solutions can will work if you travel before the dev team releases a "fix" for 2.2.1 baseband. Good luck
     
  16. mmellado thread starter macrumors newbie

    Joined:
    Feb 12, 2009
    #16
    i did read the golden rule... but as i said, i RECIEVED the phone already in version 2.2.1... its ok now anyways, i was finally able to jailbreak it which is what was important right now
     
  17. megamanbnmaster macrumors 6502

    Joined:
    Jan 26, 2008
    #17
    Oh, my bad. Sorry, I thought you upgraded from 2.2, thus verifying the golden rule.
    Are you using a mac with 10.5.6? There might be a DFU + USB problem if you used it on a mac.
     
  18. mmellado thread starter macrumors newbie

    Joined:
    Feb 12, 2009
    #18
    thanks for the notice, i got that bug fixed as well hehe :)
     

Share This Page